- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinExternalVectorFirstGreater_2< S, T, V > Class Template Reference

Function operator. More...

`#include <CoinSort.hpp>`

Collaboration diagram for CoinExternalVectorFirstGreater_2< S, T, V >:

[legend]
List of all members.

## Public Member Functions
bool | operator() (const CoinPair< S, T > &t1, const CoinPair< S, T > &t2) const
| CoinExternalVectorFirstGreater_2 (const V *v)
## Private Member Functions
| CoinExternalVectorFirstGreater_2 ()
## Private Attributes
const V * | vec_

## Detailed Description

### template<class S, class T, class V>
class CoinExternalVectorFirstGreater_2< S, T, V >

Function operator.

Compare based on the entries of an external vector, i.e., returns true if vec[t1.first > vec[t2.first] (i.e., decreasing wrt. vec). Note that to use this comparison operator .first must be a data type automatically convertible to int.

Definition at line 111 of file CoinSort.hpp.

## Constructor & Destructor Documentation

template<class S, class T, class V>

CoinExternalVectorFirstGreater_2< S, T, V >::CoinExternalVectorFirstGreater_2 | ( |  | ) | `[private]`

template<class S, class T, class V>

CoinExternalVectorFirstGreater_2< S, T, V >::CoinExternalVectorFirstGreater_2 | ( | const V * | v | ) | `[inline]`

Definition at line 120 of file CoinSort.hpp.

## Member Function Documentation

template<class S, class T, class V>

bool CoinExternalVectorFirstGreater_2< S, T, V >::operator() | ( | const CoinPair< S, T > & | t1,
|  | const CoinPair< S, T > & | t2 |
| ) |  |  | const`[inline]`

Definition at line 117 of file CoinSort.hpp.

References CoinPair< S, T >::first, and CoinExternalVectorFirstGreater_2< S, T, V >::vec_.

## Member Data Documentation

template<class S, class T, class V>

const V* CoinExternalVectorFirstGreater_2< S, T, V >::vec_`[private]`

Definition at line 115 of file CoinSort.hpp.

Referenced by CoinExternalVectorFirstGreater_2< S, T, V >::operator()().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.53.1/CoinUtils/src/CoinSort.hpp